      program tespol
      dimension pol(100)
      real pol
      integer i,j,n
      real su,pu,mu
      real x
      double precision starttime
      double precision endtime
       
      call cpu_time(starttime) 

      n = 500000
      x = 0.2
      mu = 10.0
      pu = 0.0
      do i = 1,n
         do j=1,100
            mu = (mu + 2.0) / 2.0
            pol(j) = mu
         enddo
         su = 0.0
         do j=1,100
            su = x * su + pol(j)

         enddo
         pu = pu + su
      enddo
      write (*,*) pu

      call cpu_time(endtime)       
      write(*,*) 'CPU time : ',endtime,' - ',starttime,' = ',endtime-starttime 

      end
